      Program FINDDATA
c
c       Version of 2004.09.14
c       Searches the SITE file for UHN by area or name
c       Asks for chosen SITE number (UHN)
c       Lists all the logs associated with a given SITE number (UHN)
c
      Character     sfile*12,  ltmp*12,    lcnd*12,    lhgn*12
      Character     lptr*12,   linc*12,    ltpg*12 
      Character     found*1,   ansuhn*1,   ansmore*1
      Character     outfile*12
      Integer*4     nuhn
c
      Write (*,'(a)')'  This is a simple program to allow search for'
      Write (*,'(a)')'    geothermal data from specified SITES.  It is'
      Write (*,'(a)')'    accessible by keyboard only, not by mouse.'
      Write (*,'(a)')'  SITES are selected by SITE number (or UHN).'
      Write (*,'(a)')'  If you do not know the UHN you may search '
      Write (*,'(a)')'    for it by geographical area or by name.'
      Write (*,'(a)')'  If you already know the SITE number that you'
      Write (*,'(a)')'    wish to examine, you may proceeed directly '
      Write (*,'(a)')'    to search of the log files.'
      Write (*,'(a)')'  '
c
c       Open the SITE file
c
      sfile = 'sitesuhn.txt'
      Open (Unit=1,file=sfile,status='old')
c
c       Open the LOG files  
c
      ltmp = 'logtmp.txt'
      Open (Unit=11,file=ltmp,status='old')
      lcnd = 'logcnd.txt'
      Open (Unit=12,file=lcnd,status='old')
      lhgn = 'loghgn.txt'
      Open (Unit=13,file=lhgn,status='old')
      lptr = 'logptr.txt'
      Open (Unit=14,file=lptr,status='old')
      linc = 'loginc.txt'
      Open (Unit=15,file=linc,status='old')
      ltpg = 'logtpg.txt'
      Open (Unit=16,file=ltpg,status='old')

c
c       Open an output file
c
  100 Write (*,'(a)')' First we will set up an output file.'
      Write (*,'(a,$)')'          enter name of the output file ... '
      Read (*,'(a)') outfile
      Open (Unit=21,file=outfile,status='new')
c
c       Give options for finding for SITE number
c
      Write (*,'(a)')'  Do you know the SITE number (UHN)'
      Write (*,'(a,$)')'        that you wish to examine? (y/n) ... '
      Read (*,'(a)') ansuhn
        If (ansuhn.eq.'n') Call FINDUHN
      Write (*,'(a)')'  You know the SITE number (UHN) needed,'
      Write (*,'(a)')'     so we will proceed to listing the logs,'
c
c       Ask for the UHN required
c
  120 Write (*,'(a,$)')'        enter number of the SITE needed ... '
      Read (*,'(bn,i10)') nuhn
c
c       Find SITE and write details
c
      Rewind (1)
      Call RITESITE (nuhn,found)
      If (found.eq.'n') then
        Write (*,'(a)')'                  please try again' 
        goto 120
c 
c       Look for logs and list them
c
      Elseif (found.eq.'y') then
        Call FINDLOGS (nuhn)
      Endif
c
c       End of program
c
      Write (*,'(a)')'  '
      Write (*,'(a)')' Before searching for another SITE' 
      Write (*,'(a)')'  you need to set up a new output file'
      Write (*,'(a,$)')'                   another SITE ? (y/n) ... '
      Read (*,'(a)') ansmore
      If (ansmore.eq.'y') goto 100
      STOP
      END
c     ==================================================================
c     ==================================================================
      Subroutine FINDUHN
c
c       Select method of search, by area (map or Lat/Lon) or name
c
      Character     ans01*1,       ans02*1
c
  100 Write (*,'(a,$)')'       Search by area or by name? (a/n) ... '
      Read (*,'(a)') ans01
      If (ans01.eq.'n') then
        Call SNAME
      Elseif (ans01.eq.'a') then
  110   Write (*,'(a,$)')'  Search by map sheet or Lat/Lon? (m/l) ... '
        Read (*,'(a)') ans02
        If (ans02.eq.'m') then
          Call SMAP
        Elseif (ans02.eq.'l') then
          Call SLAT
        Else
          Write (*,'(a)')'  either m or l please, try again'
          Goto 110
        Endif
      Else
        Write (*,'(a)')'  either a or n please, try again'  
      Goto 100    
      Endif
      Rewind (1)
      RETURN
      END
c     ==================================================================
      Subroutine SNAME
c
c       Search for SITES of a specified name
c         but use the first ten characters only
c
      Character     name*10,       namesrch*10,   aword(50)*50
      Character     ans01*1,       sprtr*1,       dlmtr*1
      Integer*4     nuhn,     nout,     nsite
c
c        Enter the required name and write it
c
      Write (*,'(a)')'  Search for SITES by name ' 
      Write (*,'(a)')'  Uses the first ten characters, and'
      Write (*,'(a)')'    the first one must be upper case'
  100 Write (*,'(a,$)')'                  Enter the needed name ... '
      Read (*,'(a)') namesrch
      j = 0
      Write (*,11) namesrch
      Write (21,11) namesrch
   11 Format (' SITES with name ',a10,' are:')
c
c       Read a line from the SITE file
c
      nunit = 1
      sprtr = ','
      dlmtr = '"'
  110 Call READUNFT (nunit,sprtr,dlmtr,aword,nword,nend)
      if (nend.gt.0) goto 900
      iword = 1
      Call CHARINTG(aword,iword,nout)
      nsite = nout
      name = aword(2)
c
c       Look for name correspondence
c
      If (name.eq.namesrch) then
        j = j+ 1
        Write (*,12) nsite,name
        Write (21,12) nsite,name
      Endif
      Goto 110
   12 Format (5x,i9,3x,a24)
c
c         If the search was unsuccessful ask for another name
c
  900 Rewind (1) 
      If (j.eq.0) then
        Write (*,'(a)')'  No SITES found of that name,'
  910   Write (*,'(a,$)')'        do you wish to try again? (y/n) ... '
        Read (*,'(a)') ans01
        If (ans01.eq.'y') then
          Goto 100
        Elseif (ans01.eq.'n') then
          RETURN
        Else
          Write (*,'(a)')'  either y or n please, try again'
          Goto 910
        Endif
c
c         If the search was successful write number of SITES
c
      Elseif (j.gt.0) then
        Write (*,14) j
        Write (21,14) j
        RETURN
      Endif
   14 Format (/25x,'End of search, ',i4,' SITES found')
      RETURN
      END
c     ==================================================================
      Subroutine SMAP
c
c      Searches the SITE file for SITES in the specified map square
c
      Character     ans01*1,       aword(50)*50
      Character     mapsrch*4,     map*4
      Character     name*24,       sprtr*1,       dlmtr*1
      Integer*4     nuhn,     nout,     nsite
c
c       Ask for the chosen map square
c
      Write (*,'(a)')'  Search for SITES within a specified map square'
      Write (*,'(a)')'  Map squares are defined by three digits and'
      Write (*,'(a)')'    one upper-case letter, e.g.123A'
      Write (*,'(a)')' '
  100 Write (*,'(a,$)')'            Enter the needed map square ... '
      Read (*,'(a)') mapsrch
      j = 0
      Write (*,11) mapsrch
      Write (21,11) mapsrch
   11 Format ('  SITES in map square ',a4,' are:')
c
c       Shift the requested map square right if necessary, to match
c         entry in the SITE file
c
      If (mapsrch(4:4).eq.' ') then
        mapsrch(4:4) = mapsrch(3:3)
        mapsrch(3:3) = mapsrch(2:2)
        mapsrch(2:2) = mapsrch(1:1)
        mapsrch(1:1) = ' '
      Endif
c
c       Read a line from the SITE file
c
      nunit = 1
      sprtr = ','
      dlmtr = '"'
  110 Call READUNFT (nunit,sprtr,dlmtr,aword,nword,nend)
      if (nend.gt.0) goto 900
      iword = 1
      Call CHARINTG(aword,iword,nout)
      nsite = nout
      name = aword(2)
      map = aword(5)
c
c       Look for mapsquare correspondence
c
      If (map.eq.mapsrch) then
        j = j+ 1
        Write (*,12) nsite,name,aword(6),aword(7)
        Write (21,12) nsite,name,aword(6),aword(7)
      Endif
      Goto 110
   12 Format (5x,i9,3x,a20,a7,2x,a8)
c
c         If the search is unsuccessful ask for another map square
c
  900 Rewind (1)
      If (j.eq.0) then
        Write (*,'(a)')' No SITES found in that map square,'
  910   Write (*,'(a,$)')'        do you wish to try again? (y/n) ... '
        Read (*,'(a)') ans01
        If (ans01.eq.'y') then
          Goto 100
        Elseif (ans01.eq.'n') then
          RETURN
        Else
          Write (*,'(a)')'  either y or n please, try again'
          Goto 910
        Endif
c
c         If the search is successful write number of SITES
c
      Elseif (j.gt.0) then
        Write (*,14) j
        Write (21,14) j
        RETURN
      Endif
   14 Format (/25x,'End of search, ',i4,' SITES found')
      RETURN
      END
c     ==================================================================
      Subroutine SLAT
c
c      Searches the SITE file for SITES in the specified Lat/Lon square
c
      Character     ans01*1,       aword(50)*50
      Character     name*24,       map*4,       sprtr*1,       dlmtr*1
      Integer*4     nuhn,     nout,     nsite
c
c       Ask for the chosen latitude and longitude square
c
      Write (*,'(a)')'  Search for SITES in a specified Lat/Lon square'
      Write (*,'(a)')'  Squares are defined by Lat/Lon at SE corner and'
      Write (*,'(a)')'       by size of square, e.g.60,95,2'
      Write (*,'(a)')' '
  100 Write (*,'(a,$)')'    Enter Lat, Lon and size as integers ... '
      Read (*,*) ilat,ilon,isize
      jlat = ilat + isize
      jlon = ilon + isize
      j = 0
      Write (*,11) ilat,ilon,isize
      Write (21,11) ilat,ilon,isize
c
c       Search for SITES within the chosen square
c
   11 Format ('  SITES in Lat/Lon square ',3i4,' are:')
      nunit = 1
      sprtr = ','
      dlmtr = '"'
  110 Call READUNFT (nunit,sprtr,dlmtr,aword,nword,nend)
      if (nend.gt.0) goto 900
      iword = 1
      Call CHARINTG(aword,iword,nout)
      nsite = nout
      name = aword(2)
      Read (aword(6),16) latsit
      Read (aword(7),17) lonsit
   16 Format (i2,8x)
   17 Format (i3,8x)
c
c       Look for Lat/Lon correspondence
c
      If (latsit.ge.ilat.and.latsit.lt.jlat.and.
     +     lonsit.ge.ilon.and.lonsit.lt.jlon) then
        j = j+ 1
        Write (*,12) nsite,name,aword(6),aword(7)
        Write (21,12) nsite,name,aword(6),aword(7)
      Endif
      Goto 110
   12 Format (5x,i9,3x,a20,a7,2x,a8)
c
c       End of search
c
c         If the search is unsuccessful ask for another area
c
  900 Rewind (1)
      If (j.eq.0) then
        Write (*,'(a)')' No SITES found in that Lat/Lon square,'
  910   Write (*,'(a,$)')'        do you wish to try again? (y/n) ... '
        Read (*,'(a)') ans01
        If (ans01.eq.'y') then
          Goto 100
        Elseif (ans01.eq.'n') then
          RETURN
        Else
          Write (*,'(a)')'  either y or n please, try again'
          Goto 910
        Endif
c
c         If the search is successful write number of SITES found
c
      Elseif (j.gt.0) then
        Write (*,14) j
        Write (21,14) j
        RETURN
      Endif
   14 Format (/25x,'End of search, ',i4,' SITES found')
      RETURN
      END
c     ==================================================================
c     ==================================================================
      Subroutine RITESITE (nuhn,found)
c
c       Finds the UHN in the SITE file and writes the details
c
      Character     name*24,    map*4
      Character     lat*10,     lon*11,     found*1
      Character     sprtr*1,    dlmtr*1,    aword(50)*50
      Integer*4     nuhn,     nout,     nsite
c
c       Read the SITE file and find the requested SITE number
c
      nunit = 1
      sprtr = ','
      dlmtr = '"'
  100 Call READUNFT (nunit,sprtr,dlmtr,aword,nword,nend)
      If (nend.gt.0) goto 900
      iword = 1
      Call CHARINTG(aword,iword,nout)
      nsite = nout
c     Read (aword(1),21) asite
c  21 Format (f8.2)
      name = aword(2)
      map = aword(5)
      lat = aword(6)
      lon = aword(7)
      If (nsite.ne.nuhn) goto 100
c
c       Write out details of SITE
c
      found = 'y'
      Write  (*,11) nuhn,name,map,lat,lon
      Write (21,11) nuhn,name,map,lat,lon
   11 Format (/,'  LIST OF LOGS FOR SITE ',i8,2x,a24,/
     + '       location: map ',a4,'   Lat ',a7,'   Lon ',a8,/)
      Rewind 1
      RETURN
c
c        In case the requested SITE is not found
c
  900 Write  (*,12) nuhn
      Write (21,12) nuhn
   12 Format ('   SITE ',i8,' is not in the SITE list')
      found = 'n'
      Rewind 1
      RETURN
      END
c     ==================================================================
c     ==================================================================
      Subroutine FINDLOGS (nuhn)
c
c       Organises the search through the log files for the logs
c         associated with the chosen UHN
c
      Integer*4     nuhn
c
c       Search for temperature logs
c
      Call SRCHTEMP (nuhn)
c
c       Search for conductivity logs
c
      Call SRCHCOND (nuhn)
c
c       Search for heat generation logs
c
      Call SRCHHGEN (nuhn)
c
c       Search for petrographic logs
c
      Call SRCHPETR (nuhn)
c
c       Search for inclination logs
c
      Call SRCHINCL (nuhn)
c
c       Search for topographic logs
c
      Call SRCHTOPO (nuhn)
c
      Write (*,11)
      Write (21,11)
   11 Format (25x,'End of log search')
      Close (unit=21, status='keep')
	RETURN
      END
c     ==================================================================
      Subroutine SRCHTEMP (nuhn)
c
c       Searches the temperature log file and lists those for the
c         chosen SITE
c
      Character     date*8,       method*30
      Character     sprtr*1,      dlmtr*1,        aword(50)*50
      Integer*4     nuhn,     nout,     nsite
c
      Write (*,11) 
      Write (21,11) 
   11 Format ('  Temperature logs ')
      k = 0
c
c       Read from log file 
c
  100 nunit = 11
      sprtr = ','
      dlmtr = ' '
      Call READUNFT (nunit,sprtr,dlmtr,aword,nword,nend)
      If (nend.gt.0) goto 900
      iword = 1
      Call CHARINTG(aword,iword,nout)
      isite = nout
      iword = 2
      Call CHARINTG(aword,iword,nout)
      ilog = nout
      date = aword(3)
      method = aword(4)
c
c       Look for the requested SITE number
c
      If (isite.lt.nuhn) then
        Goto 100
      Elseif (isite.eq.nuhn) then
        k = k + 1
        Write (*,12) ilog,date,method
        Write (21,12) ilog,date,method
        Goto 100
      Elseif (isite.gt.nuhn) then
        Goto 900
      Endif
   12 Format (5x,'log ',i7,'   date: ',a8,'   method: ',a24)
c
c       End of temperature logs
c
  900 Write (*,13) k
      Write (21,13) k
   13 Format (15x,i5,' temperature logs')
      Rewind 11
      RETURN
      END
c     ==================================================================
      Subroutine SRCHCOND (nuhn)
c
c       Searches the conductivity log file and lists those for the 
c         chosen SITE
c
      Character     date*8,       method*30
      Character     sprtr*1,      dlmtr*1,        aword(50)*50
      Integer*4     nuhn,     nout,     nsite
c
      Write (*,11) 
      Write (21,11)
   11 Format ('  Conductivity logs ')
      k = 0
c
c       Read from log file 
c
  100 nunit = 12
      sprtr = ','
      dlmtr = ' '
      Call READUNFT (nunit,sprtr,dlmtr,aword,nword,nend)
      If (nend.gt.0) goto 900
      iword = 1
      Call CHARINTG(aword,iword,nout)
      isite = nout
      iword = 2
      Call CHARINTG(aword,iword,nout)
      ilog = nout
      date = aword(3)
      method = aword(4)
c
c       Look for the requested SITE number
c
      If (isite.lt.nuhn) then
        Goto 100
      Elseif (isite.eq.nuhn) then
        k = k + 1
        Write (*,12) ilog,date,method
        Write (21,12) ilog,date,method
        Goto 100
      Elseif (isite.gt.nuhn) then
        Goto 900
      Endif
   12 Format (5x,'log ',i7,'   date: ',a8,'   method: ',a24)
c
c       End of conductivity logs
c
  900 Write (*,13) k
      Write (21,13) k
   13 Format (15x,i5,' conductivity logs')
      Rewind 12
      RETURN
      END
c     ==================================================================
      Subroutine SRCHHGEN (nuhn)
c
c       Searches the heat generation log file and lists those for the
c         chosen SITE
c
      Character     date*8,       method*30
      Character     sprtr*1,      dlmtr*1,        aword(50)*50
      Integer*4     nuhn,     nout,     nsite
c
c
      Write (*,11)
      Write (21,11)
   11 Format ('  Heat generation logs  ')
      k = 0
c
c       Read from log file 
c
  100 nunit = 13
      sprtr = ','
      dlmtr = ' '
      Call READUNFT (nunit,sprtr,dlmtr,aword,nword,nend)
      If (nend.gt.0) goto 900
      iword = 1
      Call CHARINTG(aword,iword,nout)
      isite = nout
      iword = 2
      Call CHARINTG(aword,iword,nout)
      ilog = nout
      date = aword(3)
      method = aword(4)
c
c       Look for the requested SITE number
c
      If (isite.lt.nuhn) then
        Goto 100
      Elseif (isite.eq.nuhn) then
        k = k + 1
        Write (*,12) ilog,date,method
        Write (21,12) ilog,date,method
        Goto 100
      Elseif (isite.gt.nuhn) then
        Goto 900
      Endif
   12 Format (5x,'log ',i7,'   date: ',a8,'   method: ',a24)
c
c       End of temperature logs
c
  900 Write (*,13) k
      Write (21,13) k
   13 Format (15x,i5,' heat generation logs')
      Rewind 13
      RETURN
      END
c     ==================================================================
      Subroutine SRCHPETR (nuhn)
c
c       Searches the petrographic log file and lists those for the
c         chosen SITE
c
      Character     date*8,       method*30
      Character     sprtr*1,      dlmtr*1,        aword(50)*50
      Integer*4     nuhn,     nout,     nsite
c
c
      Write (*,11) 
      Write (21,11)
   11 Format ('  Petrographic logs ')
      k = 0
c
c       Read from log file 
c
  100 nunit = 14
      sprtr = ','
      dlmtr = ' '
      Call READUNFT (nunit,sprtr,dlmtr,aword,nword,nend)
      If (nend.gt.0) goto 900
      iword = 1
      Call CHARINTG(aword,iword,nout)
      isite = nout
      iword = 2
      Call CHARINTG(aword,iword,nout)
      ilog = nout
      date = aword(3)
      method = aword(4)
c
c       Look for the requested SITE number
c
      If (isite.lt.nuhn) then
        Goto 100
      Elseif (isite.eq.nuhn) then
        k = k + 1
        Write (*,12) ilog,date,method
        Write (21,12) ilog,date,method
        Goto 100
      Elseif (isite.gt.nuhn) then
        Goto 900
      Endif
   12 Format (5x,'log ',i7,'   date: ',a8,'   method: ',a24)
c
c       End of petrographic logs
c
  900 Write (*,13) k
      Write (21,13) k
   13 Format (15x,i5,' petrograpic logs')
      Rewind 14
      RETURN
      END
c     ================================================================== 
      Subroutine SRCHINCL (nuhn)
c
c       Searches the inclination log file and lists those for the
c         chosen SITE
c
      Character     date*8,       method*30
      Character     sprtr*1,      dlmtr*1,        aword(50)*50
      Integer*4     nuhn,     nout,     nsite
c
c
      Write (*,11)
      Write (21,11)
   11 Format ('  Inclination logs ')
      k = 0
c
c       Read from log file 
c
  100 nunit = 15
      sprtr = ','
      dlmtr = ' '
      Call READUNFT (nunit,sprtr,dlmtr,aword,nword,nend)
      If (nend.gt.0) goto 900
      iword = 1
      Call CHARINTG(aword,iword,nout)
      isite = nout
      iword = 2
      Call CHARINTG(aword,iword,nout)
      ilog = nout
      date = aword(3)
      method = aword(4)
c
c       Look for the requested SITE number
c
      If (isite.lt.nuhn) then
        Goto 100
      Elseif (isite.eq.nuhn) then
        k = k + 1
        Write (*,12) ilog,date,method
        Write (21,12) ilog,date,method
        Goto 100
      Elseif (isite.gt.nuhn) then
        Goto 900
      Endif
   12 Format (5x,'log ',i7,'   date: ',a8,'   method: ',a24)
c
c       End of Inclination logs logs
c
  900 Write (*,13) k
      Write (21,13) k
   13 Format (15x,i5,' inclination logs')
      Rewind 15
      RETURN
      END
c     ================================================================== 
      Subroutine SRCHTOPO (nuhn)
c
c       Searches the topographic log file and lists those for the
c         chosen SITE
c

      Character     date*8,       method*30
      Character     sprtr*1,      dlmtr*1,        aword(50)*50
      Integer*4     nuhn,     nout,     nsite
c
c
      Write (*,11) 
      Write (21,11)
   11 Format ('  Topographic logs ')
      k = 0
c
c       Read from log file 
c
  100 nunit = 16
      sprtr = ','
      dlmtr = ' '
      Call READUNFT (nunit,sprtr,dlmtr,aword,nword,nend)
      If (nend.gt.0) goto 900
      iword = 1
      Call CHARINTG(aword,iword,nout)
      isite = nout
      iword = 2
      Call CHARINTG(aword,iword,nout)
      ilog = nout
      date = aword(3)
      method = aword(4)
c
c       Look for the requested SITE number
c
      If (isite.lt.nuhn) then
        Goto 100
      Elseif (isite.eq.nuhn) then
        k = k + 1
        Write (*,12) ilog,date,method
        Write (21,12) ilog,date,method
        Goto 100
      Elseif (isite.gt.nuhn) then
        Goto 900
      Endif
   12 Format (5x,'log ',i7,'   date: ',a8,'   method: ',a24)
c
c       End of topographic logs
c
  900 Write (*,13) k
      Write (21,13) k
   13 Format (15x,i5,' topographic logs')
      Rewind 16
      RETURN
      END
c     ==================================================================
c     ==================================================================
      Subroutine READUNFT (nunit,sprtr,dlmtr,aword,nword,nend)
c
c       Reads a line of unformatted ASCII characters and separates
c         it into words.
c       Allows for choice separator character
c
c       lrcrd  = length of input record, maximum 1000
c       nword  = number of words found in the record, maximum 50
c       iword  = number of characters in the current word, maximum 50
c       aword  = separated output words from the record
c       a      = individual characters of the record, maximum 1000
c       b      = individual characters of the current word, maximum 50
c       nend   = indicator of end of file, set to 1 if end encountered
c
      Character     a*1000,        sprtr*1,       dlmtr*1
      Character     aword(50)*50
      Integer*4     nuhn,     nout,     nsite
c
c       Initial set up - set all words to 'none'
c
      nword = 0
      Do 110 k=1,50
        aword(k) = 'none'
  110 Continue
      nend = 0
c
c       read the line
c
      Read (unit=nunit,fmt=1,end=900) a
    1 Format (a1000)
c
c       Count the number of active characters and store in "lrcrd"
c       Put separator character at end of line
c
  150 Do 160 i=1000,1,-1
        If (a(i:i).ne.' ') then
          lrcrd = i + 1
          a(lrcrd:lrcrd) = sprtr
          Goto 170
        Endif
  160 Continue
  170 Continue
c
c       When delimiters are present
c         Look for the first delimiter, read the first word,
c                      and shift the remaining characters down.
c
      If (dlmtr.ne.' ') then
  200   a = a(2:)
        Do 210 i=1,lrcrd
          ia = i
          If (a(i:i).eq.dlmtr) Goto 220
  210   Continue
  220   Continue
        nword = nword + 1
        aword(nword) = a(1:ia-1)
        a = a(i+2:)
        lrcrd = lrcrd - ia - 2
        If (lrcrd.ge.0) goto 200
c
c       When delimiters are not present
c         Look for the first separator, read the first words
c                      and shift the remaining characters down.
c
      Elseif (dlmtr.eq.' ') then
  300   Do 310 i=1,lrcrd
          ia = i
          If (a(i:i).eq.sprtr) Goto 320
  310   Continue
  320   Continue
        nword = nword + 1
        aword(nword) = a(1:i-1)
        a = a(i+1:)
        lrcrd = lrcrd - ia
c     Write (*,91) lrcrd,(aword(j),j=1,4)
        If (lrcrd.gt.0) goto 300
      Endif
c
      RETURN
  900 nend = 1
      RETURN
      END      
c     ==================================================================
      Subroutine CHARINTG(aword,iword,nout)
c
c       Converts a word of output from READUNFT to a fixed point number
c
      Character     aword(50)*50
      Integer*4     nuhn,     nout,     nsite
c
      Do 500 k=1,30
        If (aword(iword)(k:k).eq.' ') then
          aword(iword)(k:k) = '0.0'
        Endif
  500 Continue
      Do 550 j=1,50
        If (aword(iword)(j:j).eq.'.') then
          jm = j -1
          Goto 560
        Endif
  550 Continue
  560 Read (aword(iword)(1:jm),22) nout
   22 Format (i9)
      RETURN
      END
c     ==================================================================
